source: gs2-extensions/open-office/trunk/COMPILE-INSTALL.sh@ 23226

Last change on this file since 23226 was 22707, checked in by davidb, 12 years ago

supporting jar files cannot be in the top-level jar file. They need to be in their own supporting folder, that the manifest file points to. In this case: lib/java/lib.

File size: 861 bytes
Line 
1#!/bin/bash
2
3source setup.bash
4
5export JOD_CONVERTER=jodconverter-core-3.0-beta-3
6
7if [ "x$GEXT_OPENOFFICE" != "x" ] ; then
8
9 javac -version
10 if [ $? != 0 ] ; then
11 echo "Unable to locate 'javac'"
12 echo "Have you set JAVA_HOME and put JAVA_HOME/bin in your path?"
13 echo "Note, this requires Java 1.5 or greater."
14 exit
15 fi
16
17 echo Compiling Code
18
19 pushd "$GEXT_OPENOFFICE/build-srcpack/packages"
20
21 ./COMPILE-INSTALL.sh
22
23 popd
24
25 if [ ! -d lib/java ] ; then
26 echo ""
27 echo "Creating lib/java"
28 mkdir -p lib/java
29 fi
30
31 echo ""
32 echo "Installing jodconverter.jar into lib/java"
33 /bin/cp -r $GEXT_OPENOFFICE/build-srcpack/packages/$JOD_CONVERTER/jodconverter.jar lib/java/.
34 /bin/cp -r $GEXT_OPENOFFICE/build-srcpack/packages/$JOD_CONVERTER/lib lib/java/.
35
36
37else
38 echo "Error: Environment variable GEXT_OPENOFICE is not set"
39fi
40
Note: See TracBrowser for help on using the repository browser.